### Method

# WebKit2WebExtension DOMMouseEvent init_mouse_event

deprecated: 2.22

#### Declaration [src]

    void
    webkit_dom_mouse_event_init_mouse_event (
      WebKitDOMMouseEvent* self,
      const gchar* type,
      gboolean canBubble,
      gboolean cancelable,
      WebKitDOMDOMWindow* view,
      glong detail,
      glong screenX,
      glong screenY,
      glong clientX,
      glong clientY,
      gboolean ctrlKey,
      gboolean altKey,
      gboolean shiftKey,
      gboolean metaKey,
      gushort button,
      WebKitDOMEventTarget* relatedTarget
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`type`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`canBubble`

  Type: `gboolean`

  A #gboolean.

`cancelable`

  Type: `gboolean`

  A #gboolean.

`view`

  Type: `WebKitDOMDOMWindow`

  A `WebKitDOMDOMWindow`.

  The data is owned by the caller of the method.

`detail`

  Type: `glong`

  A #glong.

`screenX`

  Type: `glong`

  A #glong.

`screenY`

  Type: `glong`

  A #glong.

`clientX`

  Type: `glong`

  A #glong.

`clientY`

  Type: `glong`

  A #glong.

`ctrlKey`

  Type: `gboolean`

  A #gboolean.

`altKey`

  Type: `gboolean`

  A #gboolean.

`shiftKey`

  Type: `gboolean`

  A #gboolean.

`metaKey`

  Type: `gboolean`

  A #gboolean.

`button`

  Type: `gushort`

  A #gushort.

`relatedTarget`

  Type: `WebKitDOMEventTarget`

  A `WebKitDOMEventTarget`.

  The data is owned by the caller of the method.